Remove Simulator Tag
curl --request DELETE \
--url https://api.continuouslabs.ai/v1/simulators/{id}/tag \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reference": "billing:latest"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.continuouslabs.ai/v1/simulators/{id}/tag"
payload := strings.NewReader("{\n \"reference\": \"billing:latest\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://api.continuouslabs.ai/v1/simulators/{id}/tag"
payload = { "reference": "billing:latest" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reference: 'billing:latest'})
};
fetch('https://api.continuouslabs.ai/v1/simulators/{id}/tag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": "auth_invalid",
"detail": "The API key is missing or invalid."
}{
"code": "auth_forbidden",
"detail": "The Simulator with ID \"smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5\" belongs to the Continuous catalog and cannot be changed."
}{
"code": "simulator_not_found",
"detail": "No Simulator was found with ID \"smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5\"."
}{
"code": "validation",
"detail": "The request does not satisfy the API contract."
}{
"code": "internal",
"detail": "The server encountered an unexpected error."
}Simulators
Remove Simulator Tag
Removes a name and tag from a Simulator. The Simulator remains available by ID and through its other tags.
DELETE
https://api.continuouslabs.ai
/
v1
/
simulators
/
{id}
/
tag
Remove Simulator Tag
curl --request DELETE \
--url https://api.continuouslabs.ai/v1/simulators/{id}/tag \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reference": "billing:latest"
}
'package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.continuouslabs.ai/v1/simulators/{id}/tag"
payload := strings.NewReader("{\n \"reference\": \"billing:latest\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://api.continuouslabs.ai/v1/simulators/{id}/tag"
payload = { "reference": "billing:latest" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reference: 'billing:latest'})
};
fetch('https://api.continuouslabs.ai/v1/simulators/{id}/tag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": "auth_invalid",
"detail": "The API key is missing or invalid."
}{
"code": "auth_forbidden",
"detail": "The Simulator with ID \"smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5\" belongs to the Continuous catalog and cannot be changed."
}{
"code": "simulator_not_found",
"detail": "No Simulator was found with ID \"smr_01J8Z5X4K7M2N9P0Q1R2S3T4V5\"."
}{
"code": "validation",
"detail": "The request does not satisfy the API contract."
}{
"code": "internal",
"detail": "The server encountered an unexpected error."
}